{
    attributes = (
        {
            columnName = "CON_ORDRE"; 
            externalType = NUMBER; 
            name = conOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RCON_DATE_SAISIE"; 
            externalType = DATE; 
            name = rconDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "RCON_HT_SAISIE"; 
            externalType = NUMBER; 
            name = rconHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "RCON_ID"; 
            externalType = NUMBER; 
            name = rconId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RCON_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = rconMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "RCON_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = rconTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "RCON_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = rconTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "REC_ID"; 
            externalType = NUMBER; 
            name = recId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (conOrdre, exeOrdre, rconId, recId); 
    className = "org.cocktail.kava.server.metier.EORecetteCtrlConvention"; 
    classProperties = (
        convention, 
        exercice, 
        rconDateSaisie, 
        rconHtSaisie, 
        rconMontantBudgetaire, 
        rconTtcSaisie, 
        rconTvaSaisie, 
        recId
    ); 
    externalName = "jefy_recette.recette_ctrl_convention"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            convention, 
            exercice, 
            rconDateSaisie, 
            rconHtSaisie, 
            rconMontantBudgetaire, 
            rconTtcSaisie, 
            rconTvaSaisie, 
            recId
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EORecetteCtrlConvention"; 
        "_nameInObjectStore" = "recette_ctrl_convention"; 
    }; 
    name = RecetteCtrlConvention; 
    primaryKeyAttributes = (rconId); 
    relationships = (
        {
            destination = Convention; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = conOrdre; }); 
            name = convention; 
        }, 
        {
            destination = "ca_Exercice"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
